Bug 135106 - udev ought to create /dev/cdromX symlinks for DVD drives
udev ought to create /dev/cdromX symlinks for DVD drives
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 13:29 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: udev-034-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-09 10:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-10-08 13:29:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
Starting udev-032-9, udev creates /dev/dvdX symlinks for DVD drives.
While this is certainly correct and helpful, I think DVD drives ought
to get /dev/cdromX symlinks, too (they can read CDROMs, after all)

Version-Release number of selected component (if applicable):
udev-032-9

How reproducible:
Always

Steps to Reproduce:
1. Start system with udev-032-9
2.
3.
    

Actual Results:  No /dev/cdromX symlinks for DVD drives

Expected Results:  /dev/cdromX symlinks for DVD drives

Additional info:
Comment 1 Ralf Ertzinger 2004-10-09 08:23:01 EDT
I just noticed that my IDE DVD writer (hdc) did indeed get a
/dev/cdrom symlink, but the SCSI DVD drive (scd0) didn't.

[sun@nausicaa ~ :) 22]$ ls -l /dev/cd*
lrwxrwxrwx  1 root root 3 Oct  9 13:06 /dev/cdrom -> hdc
lrwxrwxrwx  1 root root 4 Oct  9 11:07 /dev/cdrom1 -> scd1
lrwxrwxrwx  1 root root 3 Oct  9 13:06 /dev/cdwriter -> hdc
lrwxrwxrwx  1 root root 4 Oct  9 11:07 /dev/cdwriter1 -> scd1
[sun@nausicaa ~ :) 23]$ ls -l /dev/dvd*
lrwxrwxrwx  1 root root 3 Oct  9 13:06 /dev/dvd -> hdc
lrwxrwxrwx  1 root root 4 Oct  9 11:07 /dev/dvd1 -> scd0
lrwxrwxrwx  1 root root 3 Oct  9 13:06 /dev/dvdwriter -> hdc
Comment 2 Ralf Ertzinger 2004-10-09 10:34:00 EDT
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.